#!/bin/sh

usage() {
    echo "Usage: repack.sh --upstream-version <ver>"
    exit 1
}

if [ "$#" != "2" ]; then
    usage
fi
if [ "$1" != "--upstream-version" ]; then
    usage
fi

UPSTREAM_VERSION="$2"
TARBALL=../zip4j_${UPSTREAM_VERSION}.orig.tar.xz

REPKG_NAME=zip4j_${UPSTREAM_VERSION}+ds.orig.tar.xz

TMPDIR=$(mktemp -d)

cp ${TARBALL} ${TMPDIR}

(
    cd ${TMPDIR}
    tar -xvf $(basename ${TARBALL})
    mkdir --parents zip4j/src/main/java
    mv net zip4j/src/main/java
    tar -cvJf ${REPKG_NAME} zip4j
)

cp ${TMPDIR}/${REPKG_NAME} ..
rm -rf ${TMPDIR}
